from mpl_toolkits.mplot3d import Axes3D
import matplotlib.pyplot as plt
import numpy as np
import pylab as pl
import scipy as sp
from scipy import linalg
import methodes as met



N=10
dt=0.02
T=0.4
xx,tt,v=met.eqc(N,dt,T)

ax=plt.axes(projection='3d')
ax.plot_surface(xx,tt,v,color='whitesmoke')
plt.show()
plt.close()

#plt.gca().set_aspect('equal')
plt.contour(xx,tt,v,levels=np.arange(0.,0.1,0.001),colors=('k'),linestyles='solid',linewidths=0.5)
plt.show()
    


